
singleton Material(halfsize)
{
   mapTo = "halfsize";
   //specularMap[3] = "vehicles/halfsize/halfsize_s.dds";
   //normalMap[3] = "vehicles/halfsize/halfsize_n.dds";
   diffuseMap[2] = "vehicles/halfsize/halfsize_c_alt.dds";
   specularMap[2] = "vehicles/halfsize/halfsize_s.dds";
   normalMap[2] = "vehicles/halfsize/halfsize_n.dds";
   diffuseMap[1] = "vehicles/halfsize/halfsize_d.dds";
   specularMap[1] = "vehicles/halfsize/halfsize_s.dds";
   normalMap[1] = "vehicles/halfsize/halfsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/halfsize/halfsize_n.dds";
   //diffuseMap[3] = "vehicles/halfsize/halfsize_dirt.dds";
   //normalMap[3] = "vehicles/halfsize/halfsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "0 0.3 0.9 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(halfsize_gauges)
{
   mapTo = "halfsize_gauges";
   diffuseMap[0] = "halfsize_gauges_d.dds";
   specularMap[0] = "halfsize_gauges_s.dds";
   normalMap[0] = "halfsize_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(halfsize_gauges_on)
{
   mapTo = "halfsize_gauges_on";
   diffuseMap[1] = "halfsize_gauges_d.dds";
   specularMap[1] = "halfsize_gauges_s.dds";
   normalMap[1] = "halfsize_gauges_n.dds";
   diffuseMap[0] = "halfsize_gauges_d.dds";
   specularMap[0] = "halfsize_gauges_s.dds";
   normalMap[0] = "halfsize_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(halfsize_interior)
{
   mapTo = "halfsize_interior";
   diffuseMap[0] = "halfsize_interior_d.dds";
   normalMap[0] = "halfsize_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "halfsize_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.8 0.8 0.8 1";
};

singleton Material(halfsize_glass)
{
   mapTo = "halfsize_glass";
   diffuseMap[0] = "vehicles/halfsize/halfsize_glass_d.dds";
   specularMap[0] = "vehicles/halfsize/halfsize_glass_s.dds";
   diffuseMap[1] = "vehicles/halfsize/halfsize_glass_da.dds";
   specularMap[1] = "vehicles/halfsize/halfsize_glass_s.dds";
   //diffuseMap[2] = "vehicles/halfsize/halfsize_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(halfsize_signal_L)
{
   mapTo = "halfsize_signal_L";
};

singleton Material(halfsize_signal_R)
{
   mapTo = "halfsize_signal_R";
};

singleton Material(halfsize_taillight)
{
   mapTo = "halfsize_taillight";
};

singleton Material(halfsize_chmsl)
{
   mapTo = "halfsize_chmsl";
};

singleton Material(halfsize_headlight)
{
   mapTo = "halfsize_headlight";
};

singleton Material(halfsize_reverselight)
{
   mapTo = "halfsize_reverselight";
};

singleton Material(halfsize_parkinglight)
{
   mapTo = "halfsize_parkinglight";
};

singleton Material(halfsize_lights_on)
{
   mapTo = "halfsize_lights_on";
   diffuseMap[2] = "vehicles/halfsize/halfsize_lights_g.dds";
   specularMap[2] = "vehicles/halfsize/halfsize_lights_s.dds";
   normalMap[2] = "vehicles/halfsize/halfsize_lights_n.dds";
   diffuseMap[1] = "vehicles/halfsize/halfsize_lights_d.dds";
   specularMap[1] = "vehicles/halfsize/halfsize_lights_s.dds";
   normalMap[1] = "vehicles/halfsize/halfsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/halfsize/halfsize_lights_n.dds";
   //diffuseMap[3] = "vehicles/halfsize/halfsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/halfsize/halfsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(halfsize_lights_on_intense)
{
   mapTo = "halfsize_lights_on_intense";
   diffuseMap[2] = "vehicles/halfsize/halfsize_lights_g.dds";
   specularMap[2] = "vehicles/halfsize/halfsize_lights_s.dds";
   normalMap[2] = "vehicles/halfsize/halfsize_lights_n.dds";
   diffuseMap[1] = "vehicles/halfsize/halfsize_lights_d.dds";
   specularMap[1] = "vehicles/halfsize/halfsize_lights_s.dds";
   normalMap[1] = "vehicles/halfsize/halfsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/halfsize/halfsize_lights_n.dds";
   //diffuseMap[3] = "vehicles/halfsize/halfsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/halfsize/halfsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(halfsize_glass_dmg)
{
   mapTo = "halfsize_glass_dmg";
   diffuseMap[0] = "vehicles/halfsize/halfsize_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/halfsize/halfsize_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(halfsize_lights_dmg)
{
   mapTo = "halfsize_lights_dmg";
   diffuseMap[1] = "vehicles/halfsize/halfsize_lights_dmg_d.dds";
   specularMap[1] = "vehicles/halfsize/halfsize_lights_dmg_s.dds";
   normalMap[1] = "vehicles/halfsize/halfsize_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/halfsize/halfsize_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/halfsize/halfsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/halfsize/halfsize_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(halfsize_lights)
{
   mapTo = "halfsize_lights";
   diffuseMap[1] = "vehicles/halfsize/halfsize_lights_d.dds";
   specularMap[1] = "vehicles/halfsize/halfsize_lights_s.dds";
   normalMap[1] = "vehicles/halfsize/halfsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/halfsize/halfsize_lights_n.dds";
   //diffuseMap[2] = "vehicles/halfsize/halfsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/halfsize/halfsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(halfsize_steer_01a_001)
{
   mapTo = "steer_01a_001";
   diffuseColor[0] = "0.37632 0.37632 0.37632 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};
